GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::FixedSizeThreadPool Class Reference

`#include <fixed_size_thread_pool.h>`

## Public Member Functions
| FixedSizeThreadPool (int num_threads)
| ~FixedSizeThreadPool ()
void | Add (const std::function< void()> &callback) GRPC_OVERRIDE
Public Member Functions inherited from grpc::ThreadPoolInterface
virtual | ~ThreadPoolInterface ()

## Constructor & Destructor Documentation

grpc::FixedSizeThreadPool::FixedSizeThreadPool | ( | int | num_threads | ) |
| explicit

grpc::FixedSizeThreadPool::~FixedSizeThreadPool | ( |  | ) |

## Member Function Documentation

void grpc::FixedSizeThreadPool::Add | ( | const std::function< void()> & | callback | ) |
| virtual

Implements grpc::ThreadPoolInterface.

The documentation for this class was generated from the following file:

- include/grpc++/fixed_size_thread_pool.h